jQuery(document).ready(function($) {

    var infoAdicional = new Object;
    var resposta = new Array;
    var op = "getClients";
    var idglob;

    getDados();

    $('#Anotacoes').blur(function() {

          id=$("#estadoP").attr('class');

          if($('#Anotacoes').val()!='')
          {
                infoAdicional['Anotacao']=$('#Anotacoes').val();
                infoAdicional['Email']=resposta[id]['Email'];
                infoAdicional['Estado']=resposta[id]['Estado'];
                //atualiza com a anotacao o array
                resposta[id]['Anotacoes']=infoAdicional['Anotacao'];
                setAnotacao();
          }

    });

    $(document).on('click', "#CancCompra", function() 
    {
          $("#combo").hide(0);
          $('#estadoP').val(resposta[idglob]['Estado']);
    })

    $("#valorCombo").keyup(function(e) 
    {
       if(e.which == 13 && $("#valorCombo").val()!='' &&  $("#valorCombo").val()!=0 && IsNum($("#valorCombo").val())==true) // the enter key code
       { 
                //atualiza com a anotacao o array
                resposta[id]['ValorVenda']=infoAdicional['ValorVenda'];

                $("#combo").hide(0);

                //atualiza com a anotacao o array
                resposta[id]['Estado']=$('#estadoP').val();
          
                //atualiza o contatar....
                resposta[id]['Contatar']='Nao';

                infoAdicional['ValorVenda']=$("#valorCombo").val();
                infoAdicional['Email']=resposta[id]['Email'];
                infoAdicional['Estado']=resposta[id]['Estado'];

                insertHistorico();
                infoAdicional['ValorVenda'] = '';

       }
       else if(IsNum($("#valorCombo").val())==false)
       {
            $("#valorCombo").val($("#valorCombo").val().slice(0,-1));
       }

    });

    function IsNum(v)
    {
        var ValidChars = "0123456789";
        var IsNumber=true;
        var Char;

        for (i = 0; i < v.length && IsNumber == true; i++) 
        { 
            Char = v.charAt(i);

            if (ValidChars.indexOf(Char) == -1) 
            {
         	  IsNumber = false;
            }
        }
        return IsNumber;
    }


    function SetValorVenda(id)
    {
         $("#valorCombo").val('');
         $("#combo").show(0);
    }


    $(window).scroll(function(){

         var posHead;

         if($(window).scrollTop()<=0)
         {
               posHead = 64;
         }
         else
         {
               posHead = 64  - $(window).scrollTop();
         }

         $('#headTabla').css({ 'top': posHead });
    });
    


    window.onresize = function(event) 
    {
           resizeHeadTable();
    }

    function resizeHeadTable()
    {
  
          $('#hd1').width($('#col1').width());
          $('#hd2').width($('#col2').width());
          $('#hd3').width($('#col3').width());
          $('#hd4').width($('#col4').width());
          $('#hd5').width($('#col5').width());
          $('#hd6').width($('#col6').width());
          $('#hd7').width($('#col7').width());
          $('#hd8').width($('#col8').width());
          $('#hd9').width($('#col9').width());
         
    }

    function getHistorico()
    {
           op='get_historico';

           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op, infoAdicional: infoAdicional},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {

                $('#Historico').html('');
                $('#ValorVenda').html('');

                for(var i=0;i<data.length;i++)
                {
                      $('#Historico').append("<p style='margin:1' >"+data[i]['DataHoraRegisto'].slice(0,-3)+"&nbsp"+data[i]['UserName']+"&nbsp"+data[i]['Estado']+"&nbsp"+data[i]['ValorVenda']+"</p>");  
                }
           })
           ajaxGetResults.fail(function(xhr, textStatus, errorThrown) {               
                console.log(xhr.responseText);
                console.log('network error!');
           })

    }

    function setAnotacao()
    {
           op='set_anotacao';

           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op, infoAdicional: infoAdicional},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                alert('Anotação feita com sucesso');
           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }


    function exportExel()
    {
            window.open('https://bma24.com/calciomais/download_file.php', '_blank');
    }


    function insertHistorico()
    {
          //console.log(infoAdicional);
          //return;
           op='insert_historico';

           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op, infoAdicional: infoAdicional},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                getHistorico();
                //update operador
                resposta[id]['Operador']=data;
                $('#col2').html(data);
                $("#valorCombo").val('');

                //alert('Update efetuado com sucesso');
           })
           ajaxGetResults.fail(function(xhr, textStatus, errorThrown) {               
                console.log(xhr.responseText);
                console.log('network error!');
           })

    }

    function ChechLeadState(StateBD, id)
    {
           op="chec_lead_state";

           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op, infoAdicional: infoAdicional},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {

                if(data==StateBD)
                {
                      infoAdicional['Estado']=$('#estadoP').val();

                      if($('#estadoP').val()=='Venda')
                      {
                            idglob=id;
                            SetValorVenda();
                      }
                      else
                      {
                            //atualiza com a anotacao o array
                            resposta[id]['Estado']=$('#estadoP').val();
          
                            //atualiza o contatar....
                            resposta[id]['Contatar']='Nao';

                            insertHistorico();
                      }
                }
                else
                {
                       alert('O estado desta lead já foi alterado. Por favor efetue uma atualização á página para verificar as alterações efetuadas.');
                       $('#estadoP').val(StateBD);
                }
           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }

    function PreencherDadosUser()
    {
           op="getUserInfoVendas";

           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                 $('#ContUserH').html(data['ContatadasH']);
                 $('#VendasUserH').html(data['VendasH']);
                 $('#VVendasUserH').html(data['VVendasH']);

                 $('#ContUserM').html(data['ContatadasM']);
                 $('#VendasUserM').html(data['VendasM']);
                 $('#VVendasUserM').html(data['VVendasM']);
           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }

    function getDados()
    {
           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "https://bma24.com/calciomais/consult_bd.php",
                data: {op: op},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                resposta = data;
                printDados(0);
           })
           ajaxGetResults.fail(function(xhr, textStatus, errorThrown) {               
                console.log(xhr.responseText);
                console.log('network error!');
           })

    }
   
    function printDados(idEdit)
    {
          var cor;

          $('#conteudo').html('');

          for(var i=0;i<resposta.length;i++)
          {

               if(idEdit==i)
               {

                    cor='#efefef';
    
                    if(resposta[i]['Contatar']=='Sim')
                    {
                          cor='#9DD6ED';
                    }

                    $('#conteudo').append("<tr style='background-color:"+cor+"'><td id='col1' style='width:30px;'><input type='radio' class='radioB' name='selectInf' id='change"+i+"'></td><td id='col2'>"+resposta[i]['Operador']+"</td><td id='col3' >"+resposta[i]['DataHoraRegisto']+"</td><td id='col4' >"+resposta[i]['Phone']+"</td><td id='col5' >"+resposta[i]['FName']+"</td><td id='col6' >"+resposta[i]['BData']+"</td><td id='col7' >"+resposta[i]['Email']+"</td><td id='col9' >"+resposta[i]['Product']+"</td><td id='col8' style='width:150px;' ><select style='padding: 0; cursor: pointer' id='estadoP' class='"+i+"'><option value='Recebido'>Recebido</option><option value='Vou contactar'>Vou contactar</option><option value='Venda'>Venda</option><option value='Ligar mais tarde'>Ligar mais tarde</option><option value='Sem interesse'>Sem interesse</option><option value='Não atende'>Não atende</option><option value='Número não existe'>Número não existe</option></select></td></tr>");

                    $("#change"+i).prop("checked", true)
                    $('#estadoP').val(resposta[i]['Estado']);

                    $('#Anotacoes').val(resposta[i]['Anotacoes']);

                    //get historico
                    infoAdicional['Email']=resposta[i]['Email'];
                    infoAdicional['LeadID']=resposta[i]['ID'];
                    getHistorico();

               }
               else
               {
                    cor ='#FFFFFF';
    
                    if(resposta[i]['Contatar']=='Sim')
                    {
                          cor='transparent';
                    }

                    $('#conteudo').append("<tr style='background-color:"+cor+"'><td style='width:30px;'><input type='radio' class='radioB' name='selectInf' id='change"+i+"'></td><td>"+resposta[i]['Operador']+"</td><td>"+resposta[i]['DataHoraRegisto']+"</td><td>"+resposta[i]['Phone']+"</td><td>"+resposta[i]['FName']+"</td><td>"+resposta[i]['BData']+"</td><td>"+resposta[i]['Email']+"</td><td>"+resposta[i]['Product']+"</td><td style='width:150px;'>"+resposta[i]['Estado']+"</td></tr>");
               }
          }


          $('#conteudo').prepend("<tr id='headTabla'><td id='hd1'></td><td id='hd2' >Operador</td><td id='hd3' >Data</td><td id='hd4' >Telefone</td><td id='hd5' >Nome</td><td id='hd6' >Data Nasc.</td><td id='hd7' >Email</td><td id='hd9' >Produto</td><td id='hd8' >Estado</td></tr>");
          resizeHeadTable();
          PreencherDadosUser();
    }

    $(document).on('click', "#exportExcel", function() 
    {
          exportExel();
    })


    $(document).on('change', ".radioB", function() 
    {
          id=$(this).attr('id').replace('change','');
          printDados(id);
    })

    $(document).on('change', "#estadoP", function() 
    {
          id=$("#estadoP").attr('class');

          infoAdicional['Email']=resposta[id]['Email'];
          infoAdicional['LeadID']=resposta[id]['ID'];

          //verifica se a lead em questao ainda nao foi alterada
          ChechLeadState(resposta[id]['Estado'], id);

    })
});